View Issue Details

IDProjectCategoryView StatusLast Update
0018409LazarusIDEpublic2011-01-12 02:48
Reporterbald zhangAssigned ToPaul Ishenin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.31 (SVN)Product Build 
Target VersionFixed in Version0.9.31 (SVN) 
Summary0018409: change "Messages" of project options only does not enable the save all button in toolbar
Descriptionopen the project options of IDE and select the "Message" page, then change some messages' check state and press OK button to close this form.

after this form closed, the save all button in main form does not enabled.
Additional Informationtest platform: Windows and Linux

test version.: trunk and fixes_0_9_30
TagsNo tags attached.
Fixed in Revision28957
LazTarget0.99.0
Widgetset
Attached Files

Activities

Paul Ishenin

2011-01-11 03:49

manager   ~0045073

Maybe some paticular message does not change the save all button? But I tested and the first message do change the save all button state.

bald zhang

2011-01-11 06:38

reporter   ~0045078

my test process:

1) trunk update to r28946, make distclean bigide (on Windows 7 x86_64)
2) open lazarus with project
3) change the first message "(H) $1 translated to $2"

the save all button not enabled.

Paul Ishenin

2011-01-11 10:59

manager   ~0045090

Please test and close if ok.

bald zhang

2011-01-12 02:48

reporter   ~0045130

Windows7 x64: trunk ok
Linux i386: trunk ok

Issue History

Date Modified Username Field Change
2011-01-06 04:13 bald zhang New Issue
2011-01-10 11:10 Vincent Snijders LazTarget => 0.99.0
2011-01-10 11:10 Vincent Snijders Status new => acknowledged
2011-01-10 11:10 Vincent Snijders Target Version => 0.99.0
2011-01-11 03:49 Paul Ishenin Note Added: 0045073
2011-01-11 03:49 Paul Ishenin Status acknowledged => feedback
2011-01-11 06:38 bald zhang Note Added: 0045078
2011-01-11 10:59 Paul Ishenin Fixed in Revision => 28957
2011-01-11 10:59 Paul Ishenin Status feedback => resolved
2011-01-11 10:59 Paul Ishenin Fixed in Version => 0.9.31 (SVN)
2011-01-11 10:59 Paul Ishenin Resolution open => fixed
2011-01-11 10:59 Paul Ishenin Assigned To => Paul Ishenin
2011-01-11 10:59 Paul Ishenin Note Added: 0045090
2011-01-12 02:48 bald zhang Status resolved => closed
2011-01-12 02:48 bald zhang Note Added: 0045130